<?php
include "ver_sessao.php";
include "conecta.php";



function exclui_setor(){
	
	remover('setor',$_POST[id]);
	index();
	exit;
	
}

function modifica_setor(){
	
	global $a_mod;
	$a_mod = carregar('setor',$_POST[id]);
	layout_setor();
	
}

function cadastra_setor(){
	
	$campos = array(seto_tx_nome,seto_tx_status);
	$valores= array($_POST[nome],ativo);
	
	if( !$_POST[id] )
		inserir('setor',$campos,$valores);
	else
		atualizar('setor',$campos,$valores,$_POST[id]);
		
	index();
	exit;
	
}


function layout_setor(){
	
	global $a_mod;
	
	cabecalho('Cadastro de Setores',2);
	
	//CAMPOS
	$nome = cactux::campo('Setor:','nome',$a_mod[seto_tx_nome],8);
	
	//BOTOES
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_setor','id',$_POST[id]);
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	//-----------

	cactux::abre_form();
	cactux::abre_fieldset('Informações do Setor');
	cactux::linha_fieldset($nome);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
	rodape();
	
}




function layout_imprimir(){
	
	cabecaRelatorio('Cadastro de Setores',2);

	if($_POST[busca_cod]!='')
		$extra .= " AND seto_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_setor]!='')
		$extra .= " AND seto_tx_nome LIKE '%$_POST[busca_setor]%'";
	if($_POST[busca_tipo]!='')
		$extra .= " AND seto_tx_tipo = '$_POST[busca_tipo]'";

	
	$sql = selecionar('setor','seto_tx_status',"!inativo"," $extra ORDER BY seto_tx_nome");
	
	$cabecalho[] = array('COD','NOME','TIPO','','');
	$cabecalho[] = 'c,e,e';
	$cabecalho[] = '6%,,10%,2%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){
		
		$valores[] = array($a[seto_nb_id],$a[seto_tx_nome],$a[seto_tx_tipo]);
		
	}
	
	grid::gerar($cabecalho,$valores);
	
	rodape();
	
}


function index(){
	

	if($_POST[busca_cod]!='')
		$extra .= " AND seto_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_setor]!='')
		$extra .= " AND seto_tx_nome LIKE '%$_POST[busca_setor]%'";

	
	$sql = selecionar('setor','seto_tx_status',"!inativo"," $extra ORDER BY seto_tx_nome",1);
	$BUSCA = grid::gerar_paginacao($sql);

	cabecalho('Cadastro de Setores',2);
	
	//CAMPOS
	$cod = cactux::campo('Código:','busca_cod',$_POST[busca_cod],2);
	$nome = cactux::campo('Nome:','busca_setor',$_POST[busca_setor],8);
	//------------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
//	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	
	//-----------
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($cod,$nome);
	cactux::linha_fieldset($buscar,$inserir,$imprimir);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_setor');
	cactux::acao_botao('imprimir','layout_imprimir','','','','',' target=_blank');
	
	$cabecalho[] = array('COD','NOME','','');
	$cabecalho[] = 'c,e,e';
	$cabecalho[] = '6%,,2%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){
		
		$valores[] = array($a[seto_nb_id],$a[seto_tx_nome],".icone_modificar($a[0],modifica_setor)",
				".icone_excluir($a[0],exclui_setor)");
		
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
}

controle();
?>